---
lang: en
title: 'API docs: openapi-spec-builder.componentsspecbuilder.withcallback'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/openapi-spec-builder
permalink: /doc/en/lb4/apidocs.openapi-spec-builder.componentsspecbuilder.withcallback.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/openapi-spec-builder](./openapi-spec-builder.md) &gt; [ComponentsSpecBuilder](./openapi-spec-builder.componentsspecbuilder.md) &gt; [withCallback](./openapi-spec-builder.componentsspecbuilder.withcallback.md)

## ComponentsSpecBuilder.withCallback() method

Define a component callback.

**Signature:**

```typescript
withCallback(name: string, callback: CallbackObject | ReferenceObject): this;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  name | string | The name of the callback |
|  callback | CallbackObject \| ReferenceObject | Specification of the callback |

**Returns:**

this


